{ lib, config, pkgs, ... }:
let cfg = config.syscfg.make.virt;
in {
  config = lib.mkIf cfg {

    environment.systemPackages = [ pkgs.qemu ];
    virtualisation = {
      libvirtd.enable = true;
      # waydroid.enable = true;
      # lxd.enable = true;
      docker = {
        enable = true;
        rootless = {
          enable = true;
          setSocketVariable = true;
        };
      };
    };
  };
}
